import { Vector3 } from "three";
import { DataContainer } from "./DataContainer";
import { Node } from "./Node";
/**
 * An octant.
 *
 * @param T - The type of the data.
 */
export declare class Octant<T> implements Node, DataContainer<T> {
    min: Vector3;
    max: Vector3;
    children: Node[];
    data: T;
    /**
     * Constructs a new octant.
     *
     * @param min - The lower bounds.
     * @param max - The upper bounds.
     */
    constructor(min?: Vector3, max?: Vector3);
    getCenter(result: Vector3): Vector3;
    getDimensions(result: Vector3): Vector3;
    /**
     * Splits this octant into eight smaller ones.
     */
    split(): void;
}
