import { Box3, Frustum } from "three";
import { Node } from "./Node";
/**
 * An octree iterator.
 */
export declare class OctreeIterator implements Iterator<Node>, Iterable<Node> {
    /**
     * The root node.
     */
    private root;
    /**
     * A region used for octree culling.
     */
    private region;
    /**
     * Whether this iterator should respect the cull region.
     */
    private cull;
    /**
     * An iterator result.
     */
    private result;
    /**
     * A node trace.
     */
    private trace;
    /**
     * Iteration indices.
     */
    private indices;
    /**
     * Constructs a new octree iterator.
     *
     * @param root - The root node.
     * @param region - A cull region.
     */
    constructor(root: Node, region?: Frustum | Box3);
    /**
     * Resets this iterator.
     *
     * @return This iterator.
     */
    reset(): OctreeIterator;
    next(): IteratorResult<Node>;
    [Symbol.iterator](): Iterator<Node>;
}
