import { Raycaster, Vector3 } from "three";
import { RayPointIntersection } from "./RayPointIntersection";
/**
 * A collection of many points and associated data entries.
 *
 * @param T - The type of the data.
 */
export declare class PointData<T> {
    /**
     * The points.
     */
    points: Vector3[];
    /**
     * The data entries.
     */
    data: T[];
    /**
     * Constructs new point data.
     */
    constructor();
    /**
     * Collects points that intersect with the given ray.
     *
     * @param raycaster - The raycaster.
     * @param result - An array to be filled with intersecting points.
     */
    testPoints(raycaster: Raycaster, result: RayPointIntersection<T>[]): void;
}
