import { Ray } from "three";
import { Node, Tree } from "../core";
/**
 * A raycaster for pointer-based octrees.
 *
 * Reference:
 *  "An Efficient Parametric Algorithm for Octree Traversal"
 *  by J. Revelles et al. (2000)
 */
export declare class OctreeRaycaster {
    /**
     * Finds (pseudo) leaf octants that intersect with the given ray.
     *
     * @param octree - An octree.
     * @param ray - A ray.
     * @return The intersecting octants. Sorted by distance, closest first.
     */
    static intersectOctree(octree: Tree, ray: Ray): Node[];
}
