/**
 * A lookup-table containing octant ids. Used to determine the exit plane from
 * an octant.
 */
/**
 * Finds the next octant that intersects with the ray based on the exit plane of
 * the current one.
 *
 * @param currentOctant - The index of the current octant.
 * @param tx1 - Ray projection parameter.
 * @param ty1 - Ray projection parameter.
 * @param tz1 - Ray projection parameter.
 * @return The index of the next octant that the ray travels through.
 */
export declare function findNextOctant(currentOctant: number, tx1: number, ty1: number, tz1: number): number;
