import { Ray } from "three";
import { Node } from "../core/Node";
import { RaycastingFlags } from "./RaycastingFlags";
/**
 * Calculates ray projection parameters for the given octree and ray setup.
 *
 * @param octree - The octree.
 * @param ray - A ray.
 * @param flags - Raycasting flags.
 * @return The ray parameters `[tx0, ty0, tz0, tx1, ty1, tz1]`, or null if the ray doesn't hit the octree.
 */
export declare function intersectOctree(octree: Node, ray: Ray, flags: RaycastingFlags): number[];
